#
# spec file for package python-kubernetes
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-kubernetes
Version:        5.0.0
Release:        lp150.1.1
Summary:        Kubernetes python client
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/kubernetes-incubator/client-python
Source:         https://files.pythonhosted.org/packages/source/k/kubernetes/kubernetes-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module certifi}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module google-auth}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module oauth2client}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module requests-oauthlib}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module urllib3}
BuildRequires:  %{python_module websocket-client}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%ifpython2
BuildRequires:  python2-ipaddress
Requires:       python-ipaddress >= 1.0.17
%endif
Requires:       python-PyYAML >= 3.12
Requires:       python-certifi
Requires:       python-google-auth >= 1.0.1
Requires:       python-oauth2client
Requires:       python-python-dateutil >= 2.5.3
Requires:       python-requests
Requires:       python-requests-oauthlib
Requires:       python-setuptools
Requires:       python-six >= 1.9.0
Requires:       python-urllib3 >= 1.19.1
Requires:       python-websocket-client >= 0.32.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Python client for kubernetes http://kubernetes.io/

%prep
%setup -q -n kubernetes-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%check
%python_exec %{_bindir}/nosetests --cover-package=kubernetes.config,kubernetes.watch --cover-tests

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue Mar 27 2018 tbechtold@suse.com
- update to 5.0.0:
  - Update to Kubernetes 1.9 cluster
  - Label selector for pods is now required and must match the pod template's
    labels for v1beta2 StatefulSetSpec, ReplicaSetSpec, DaemonSetSpec and
    DeploymentSpec kubernetes/kubernetes#55357
  - The dynamic admission webhook is split into two kinds, mutating and
    validating. The kinds have changed completely and old code must be ported to
    admissionregistration.k8s.io/v1beta1 - MutatingWebhookConfiguration and
    ValidatingWebhookConfiguration kubernetes/kubernetes#55282
  - DaemonSet, Deployment, ReplicaSet, and StatefulSet have been promoted to GA
    and are available in the apps/v1 group version kubernetes/kubernetes#53679
  - Introduce new storage.k8s.io/v1alpha1 VolumeAttachment object
    kubernetes/kubernetes#54463
  - Introduce core/v1 RBDPersistentVolumeSource kubernetes/kubernetes#54302
  - StatefulSet status now has support for conditions
    kubernetes/kubernetes#55268
  - DaemonSet status now has support for conditions kubernetes/kubernetes#55272
* Tue Feb 13 2018 tbechtold@suse.com
- update to 4.0.0:
  - api change V1PersistentVolumeSpec to V1ScaleIOPersistentVolumeSource #397.
  - Make sure PyPI source distribution is complete with all files from the
    root directory
  - Update to Kubernetes 1.8 cluster
  - IntOrString is now object thus it can be int or string. #18 #359
  - Adding stream package to support calls like exec. The old way of calling
    them is deprecated. See README.md#why-execattach-calls-doesnt-work.
  - config.http_proxy_url is deprecated. use configuration.proxy instead.
  - Configuration is not a singleton object anymore. Please use
    Configuraion.set_default to change default configuration.
  - Configuration class does not support `ws_streaming_protocol` anymore. In
    ApiClient.set_default_header set `sec-websocket-protocol` to the preferred
    websocket protocol.
  - Fix Operation names for subresources kubernetes/kubernetes#49357
  - Add proper GCP config loader and refresher kubernetes-client/python-base#22
  - Add ws_streaming_protocol and use v4 by default
    kubernetes-client/python-base#20
  - Respect the KUBECONFIG environment variable if set
    kubernetes-client/python-base#19
  - Allow setting maxsize for PoolManager kubernetes-client/python-base#18
  - Restricting the websocket-client to <=0.40 #299
  - Update client to kubernetes 1.7
  - Support ThirdPartyResources (TPR) and CustomResourceDefinitions (CRD).
    Note that TPR is deprecated in kubernetes #251 #201
  - Better dependency management #136
  - Add support for python3.6 #244
- Adjust Requires and BuildRequires
- Fix Source url
* Thu Aug 17 2017 dmueller@suse.com
- small buildrequires cleanup
* Wed Jun 28 2017 mc@suse.com
- initial release 2.0.0
